Package: org.gradle.api.tasks.testing.junit

## [Groovy] Class JUnitOptions

- org.gradle.api.tasks.testing.junit.JUnitOptions

- The JUnit specific test options.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `excludeCategories` The set of categories to exclude.
    `Set<String>` | `includeCategories` The set of categories to run.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `JUnitOptions` | `excludeCategories(String... excludeCategories)`
    `JUnitOptions` | `includeCategories(String... includeCategories)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### @Incubating Set<String> excludeCategories

      The set of categories to exclude.

    - #### @Incubating Set<String> includeCategories

      The set of categories to run.

  - ### Method Detail

    - #### @Incubating JUnitOptions excludeCategories(String... excludeCategories)

    - #### @Incubating JUnitOptions includeCategories(String... includeCategories)